Subject: Re: Concerns about exported numbers 12/2 1/02/96 14:52:12

From: Lixia Zhang <[email-masked]>
Date: Wed, 3 Jan 1996 17:47:48 PST

I must admit that I have *not* read any of the exchanges on the topic
except this one (filtered it probably because my name was mentioned :)

> > I would have to say that this is the perspective that controlled load comes
> > from. We have working implementations, and have shown that some very simple
> > mechanisms with no advertised values at all will provide very good results.
> > Lee Breslau's simulations (reported in Stockholm by Lixia) seem to say that
> > the difference between the services show up only in the highest percentiles
> > - normally, the services are pretty much indistinguishable.

slight correction: Lee made the presentation at Stockholm, though I
borrowed his data to make my argument at the WG meeting.

From Lee Breslau:
> Fred,
> ......
> I am in complete agreement with your statement that the difference between
> the services shows up only in the highest percentiles of the delay 
> distribution.  But it does not necessarily follow that normally the 
> services are pretty much indistinguishable. 
> 
> Whether or not the services are distinguishable depends in large part
> on how applications use them.  For example, if one believes that some 
> adaptive applications will want to set their playback points so they
> very rarely miss packets and that they also care about minimizing the 
> playback delay, then different levels of service may indeed
> provide distinguishable service to the applications.

Some details: The test was driven, if I remembered clearly, by
the two-state markov train source model; much burstier source models
(LRD) are yet to be examined to see how much the multiple levels of
services are distinguishable.  Further, the test had two priority
levels, and we are yet to know how the level one delay would compare
with that of a single level service.

Step up a level, I agree that whether the services are distinguishable
is up to applications to judge.
I also believe that, just generally speaking, we hope applications
to be designed with robust adaptivity that is insensitive to details
of network delay variations.

> Similar
> average delay does not necessarily imply similar performance as perceived
> by the application.

Just to clarify: I thought here we were talking about the delay
*distribution* curve, not the average?

Lixia

---

From: [email-masked] (Fred Baker)
Date: Thu, 4 Jan 1996 12:41:35 -0800

At 11:38 PM 1/3/96, Curtis Villamizar wrote:
>Do you understand my request for a little bit of additional
>information in controlled load.  Perhaps just a bit to indicate
>whether traffic is elastic or real time.

or even a flag value indicating that the burst rate is arbitrarily large?
That would make some sense.

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
Some ideas are so crazy that only an intellectual could believe them...
        George Orwell

---

From: [email-masked] (Fred Baker)
Date: Thu, 4 Jan 1996 12:41:35 -0800